The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/websocket-servers/{websocketServer} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "websocketServers",
"attributes": {
"name": "<string>",
"type": "reverb",
"region": "us-east-2",
"status": "creating",
"max_connections": 100,
"connection_distribution_strategy": "evenly",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"type": "websocketApplications",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "websocketApplications",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"type": "websocketServers",
"id": "<string>"
}
}
}
}
]
}Get a specific WebSocket cluster.
curl --request GET \
--url https://cloud.laravel.com/api/websocket-servers/{websocketServer} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "websocketServers",
"attributes": {
"name": "<string>",
"type": "reverb",
"region": "us-east-2",
"status": "creating",
"max_connections": 100,
"connection_distribution_strategy": "evenly",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"type": "websocketApplications",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "websocketApplications",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"type": "websocketServers",
"id": "<string>"
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The websocket server identifier
Available includes are applications. You can include multiple options by separating them with a comma.
Was this page helpful?